import type { Meta, StoryObj } from '@storybook/react';
import FooterComponent from '.';

const meta: Meta<typeof FooterComponent> = {
  title: 'Layout/Footer',
  component: FooterComponent,
  tags: ['autodocs'],
  parameters: {
    layout: 'fullscreen'
  }
};

export default meta;

type Story = StoryObj<typeof meta>;

export const Footer: Story = {
  args: {
    socialPlatforms: [
      { url: '/', label: 'instagram', icon: 'instagram' },
      { url: '/', label: 'facebook', icon: 'facebook' }
    ],
    policyLinks: [
      { url: '/', label: 'Privacy Center' },
      { url: '/', label: 'Anti-Fraud Disclaimer' },
      { url: '/', label: 'Responsible Disclosure Policy' },
      { url: '/', label: 'Terms and Conditions' },
      { url: '/', label: 'Cookie Settings' }
    ],
    linkGroups: [
      {
        title: 'Neighbour hoods',
        links: [
          { url: '/', label: 'Lacina' },
          { url: '/', label: 'Serra' },
          { url: '/', label: 'Cilia' },
          { url: '/', label: 'Capria' }
        ]
      },
      {
        title: 'Discover Junction',
        links: [
          { url: '/', label: 'Download Brochure' },
          { url: '/', label: 'Register Your Interest' }
        ]
      },
      {
        title: 'Majid Al-Futtaim Communities',
        links: [
          { url: '/', label: 'Tilal Al Ghaf' },
          { url: '/', label: 'Al Zahia' },
          { url: '/', label: 'Al Mouj' },
          { url: '/', label: 'Water Front City' }
        ]
      }
    ],
    labels: {
      copyrightText: '© 2025 MAF Egypt Business Park. All Rights Reserved.',
      poweredByText: 'Launching Soon',
      socialLinkText: 'Stay in touch with us',
      topText: 'TOP'
    }
  }
};
