import type { Meta, StoryObj } from '@storybook/react';
import HeaderComponent from './Header';
import Image from 'next/image';

const meta: Meta<typeof HeaderComponent> = {
  title: 'Layout/Header',
  component: HeaderComponent,
  parameters: {
    layout: 'fullscreen'
  },
  tags: ['autodocs'],
  decorators: [
    (Story: React.ComponentType) => (
      <div>
        <Story />
        <Image
          src="https://picsum.photos/1920/1920"
          alt="background"
          className="w-full"
        />
      </div>
    )
  ]
};

export default meta;

type Story = StoryObj<typeof meta>;
export const Header: Story = {
  args: {
    button: {
      label: 'Register your Interest',
      url: '/'
    },
    menuItems: [
      {
        label: 'Launch Event',
        url: '#'
      },
      {
        label: 'Brokers Briefing',
        url: '#'
      }
    ]
  }
};
