'use client';

import { useRouter } from 'next/navigation';
import { HeroUIProvider } from '@heroui/react';
import { ParallaxProvider } from 'react-scroll-parallax';

type ProvidersProps = {
  children: React.ReactNode;
};

const Providers: React.FC<ProvidersProps> = ({ children }) => {
  const router = useRouter();
  return (
    <HeroUIProvider navigate={router.push}>
      <ParallaxProvider>{children}</ParallaxProvider>
    </HeroUIProvider>
  );
};

export default Providers;
