import type { Meta, StoryObj } from '@storybook/react';
import SocialLinksComponent, { type SocialLinksProps } from './SocialLinks';

const meta: Meta<typeof SocialLinksComponent> = {
  title: 'Shared/SocialLinks',
  component: SocialLinksComponent,
  tags: ['autodocs'],
  parameters: {
    layout: 'centered'
  }
};

export default meta;

type Story = StoryObj<typeof meta>;

export const SocialLinks: Story = {
  args: {
    socialPlatforms: [
      {
        icon: 'instagram',
        url: '#',
        label: 'instagram'
      },
      {
        icon: 'twitter',
        url: '#',
        label: 'twitter'
      },
      {
        icon: 'linkedin',
        url: '#',
        label: 'linkedin'
      },
      {
        icon: 'facebook',
        url: '#',
        label: 'facebook'
      },
      {
        icon: 'tiktok',
        url: '#',
        label: 'tiktok'
      }
    ]
  },
  render: (args: SocialLinksProps) => {
    return (
      <div>
        <SocialLinksComponent
          className="text-default-600 border-[1px] border-default-600"
          {...args}
        />
      </div>
    );
  }
};
