import type { Meta, StoryObj } from '@storybook/react';
import AddressMapComponent from './';

const meta: Meta<typeof AddressMapComponent> = {
  title: 'TopLevel/AddressMap',
  component: AddressMapComponent,
  parameters: {
    layout: 'fullscreen'
  },
  tags: ['autodocs']
};

export default meta;
type Story = StoryObj<typeof AddressMapComponent>;

export const AddressMap: Story = {
  args: {
    title: "We're Easy to Find",
    mapData: {
      latitude: 29.970447,
      longitude: 31.021278,
      zoom: 16
    },
    button: {
      label: 'Register your Interest',
      url: 'https://www.google.com'
    },
    address: `El Wahat Rd,<br/>
    First 6th of October,<br/>
    Giza Governorate 12573,<br/>
    Egypt`,
    phone: '+20 2 34567897',
    email: 'mafegypt@maf.com',
    directionButton: {
      label: 'Get Directions',
      url: 'https://www.google.com'
    }
  }
};
