import { Meta, StoryObj } from '@storybook/react';
import AmenitiesCarouselComponent from '.';
import amenityImg1 from '@/assets/img/amenity-1.jpg';

const meta: Meta = {
  title: 'TopLevel/AmenitiesCarousel',
  component: AmenitiesCarouselComponent,
  tags: ['autodocs'],
  argTypes: {
    onChange: { action: 'onChange triggered' }
  }
};

export default meta;

type Story = StoryObj<typeof AmenitiesCarouselComponent>;

export const AmenitiesCarousel: Story = {
  args: {
    title: 'Amenities',
    description:
      'World-class workspaces, seamless facilities, and everything you need to work, relax, and stay inspired—all in one place',
    amenities: [
      {
        title: 'Food & Beverages',
        description:
          "Satisfy your cravings with a diverse mix of flavors, from global cuisines to local favorites. Whether it's a quick bite, a cozy café, or a fine dining experience, every meal is a treat. Gather, feast, and enjoy the perfect blend of taste and ambiance!",
        image: {
          url: amenityImg1?.src,
          width: 930,
          height: 480,
          alternativeText: 'Food & Beverages'
        }
      },
      {
        title: 'Fitness Center',
        description:
          'Stay active and energized in our state-of-the-art fitness center. Featuring premium equipment, yoga spaces, and personal training options to keep you at your best during your stay.',
        image: {
          url: amenityImg1?.src,
          width: 930,
          height: 480,
          alternativeText: 'Fitness center'
        }
      },
      {
        title: 'Co-Working Spaces',
        description:
          'Productive environments designed for modern professionals. Enjoy high-speed internet, meeting rooms, and comfortable workstations that inspire creativity and collaboration.',
        image: {
          url: amenityImg1?.src,
          width: 930,
          height: 480,
          alternativeText: 'Co-working space'
        }
      }
    ]
  }
};
