import type { Meta, StoryObj } from '@storybook/react';
import GalleryCardComponent from './GalleryCard';
import cardImage from '@/components/form/EventFormWidget/img/card-img.jpg';

const meta: Meta<typeof GalleryCardComponent> = {
  title: 'TopLevel/Gallery/Card',
  component: GalleryCardComponent,
  tags: ['autodocs'],
  decorators: (Story) => (
    <div className="max-w-xs">
      <Story />
    </div>
  )
};

export default meta;

type Story = StoryObj<typeof meta>;

export const GalleryCard: Story = {
  args: {
    image: {
      url: cardImage.src,
      width: cardImage.width,
      height: cardImage.height,
      alt: 'card-1'
    },
    title: 'Our Offerings'
  }
};
