import type { Meta, StoryObj } from '@storybook/react';
import ImageCarouselComponent from './ImageCarousel';
import homePageSwiperImg1 from '@/assets/img/image-carousel-1.jpg';
import homePageSwiperImg2 from '@/assets/img/image-carousel-2.jpg';
import homePageSwiperImg3 from '@/assets/img/image-carousel-3.jpg';

const meta: Meta<typeof ImageCarouselComponent> = {
  title: 'TopLevel/ImageCarousel',
  component: ImageCarouselComponent,
  tags: ['autodocs'],
  parameters: {
    layout: 'fullscreen'
  }
};

export default meta;

type Story = StoryObj<typeof ImageCarouselComponent>;

export const ImageCarousel: Story = {
  args: {
    slides: [
      {
        title: 'Business Park in Egypt',
        description:
          'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
        image: {
          url: homePageSwiperImg1.src,
          width: homePageSwiperImg1.width,
          height: homePageSwiperImg1.height,
          alternativeText: 'Business Hub Slide'
        }
      },
      {
        title: 'Business Park in Egypt',
        description:
          'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
        image: {
          url: homePageSwiperImg2.src,
          width: homePageSwiperImg2.width,
          height: homePageSwiperImg2.height,
          alternativeText: 'Office Space Slide'
        }
      },
      {
        title: 'Business Park in Egypt',
        description:
          'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
        image: {
          url: homePageSwiperImg3.src,
          width: homePageSwiperImg3.width,
          height: homePageSwiperImg3.height,
          alternativeText: 'Premium Workspace Slide'
        }
      },
      {
        title: 'Business Park in Egypt',
        description:
          'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
        image: {
          url: homePageSwiperImg1.src,
          width: homePageSwiperImg1.width,
          height: homePageSwiperImg1.height,
          alternativeText: 'Business Hub Slide'
        }
      },
      {
        title: 'Business Park in Egypt',
        description:
          'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
        image: {
          url: homePageSwiperImg2.src,
          width: homePageSwiperImg2.width,
          height: homePageSwiperImg2.height,
          alternativeText: 'Office Space Slide'
        }
      },
      {
        title: 'Business Park in Egypt',
        description:
          'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
        image: {
          url: homePageSwiperImg3.src,
          width: homePageSwiperImg3.width,
          height: homePageSwiperImg3.height,
          alternativeText: 'Premium Workspace Slide'
        }
      }
    ]
  }
};
