import type { Meta, StoryObj } from '@storybook/react';
import SlideComponent from './Slide';
import image from '@/assets/img/image-carousel-1.jpg';

const meta: Meta<typeof SlideComponent> = {
  title: 'TopLevel/ImageCarousel ',
  component: SlideComponent,
  parameters: {
    layout: 'centered'
  },
  tags: ['autodocs']
};

export default meta;

type Story = StoryObj<typeof SlideComponent>;

export const Slide: Story = {
  args: {
    title: 'Business Park in Egypt',
    description:
      'Spaces crafted with innovation, sophistication, and convenience. Designed to inspire growth and elevate your brand, our spaces offer the perfect balance of style, functionality, and seamless accessibility.',
    image: {
      url: image.src,
      width: image.width,
      height: image.height,
      alternativeText: 'Slide image'
    }
  },
  render: (args) => (
    <div className="max-w-[60rem]">
      <SlideComponent {...args} />
    </div>
  )
};
