import type { Meta, StoryObj } from '@storybook/react';
import MasterPlanComponent from './MasterPlan';
import image from '@/assets/img/master-plan.jpg';

const meta: Meta<typeof MasterPlanComponent> = {
  title: 'TopLevel/MasterPlan',
  component: MasterPlanComponent,
  parameters: {
    layout: 'fullscreen'
  },
  tags: ['autodocs']
};

export default meta;
type Story = StoryObj<typeof MasterPlanComponent>;

export const MasterPlan: Story = {
  args: {
    title: 'Explore our Masterplan',
    image: {
      url: image.src,
      width: image.width,
      height: image.height,
      alternativeText: 'Master Plan Image'
    },
    description:
      "Big ideas need the right space to grow, Whether you're launching, scaling, or reinvesting, we've got the perfect spot for you. Let's build something amazing-together!.",
    button: {
      label: 'DOWNLOAD BROCHURE',
      url: 'https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf'
    }
  }
};
