import type { Meta, StoryObj } from '@storybook/react';
import VideoContentComponent from './VideoContent';
import image from '@/assets/img/about.jpg';

const meta: Meta<typeof VideoContentComponent> = {
  title: 'TopLevel/VideoContent',
  component: VideoContentComponent,
  tags: ['autodocs'],
  parameters: {
    layout: 'fullscreen'
  }
};

export default meta;

type Story = StoryObj<typeof meta>;

export const VideoContent: Story = {
  args: {
    title: 'Brought to you by Majid Al Futtaim',
    description:
      "Big ideas need the right space to grow. Whether you're launching, scaling, or reinventing, we’ve got the perfect spot for you. Let’s build something amazing—together!",
    videoSet: {
      portrait: {
        url: 'https://getsamplefiles.com/download/mp4/sample-3.mp4'
      },
      landscape: {
        url: 'https://commondatastorage.googleapis.com/gtv-videos-bucket/sample/ForBiggerBlazes.mp4'
      }
    },
    imageSet: {
      portrait: {
        url: image.src,
        width: image.width,
        height: image.height
      },
      landscape: {
        url: image.src,
        width: image.width,
        height: image.height
      }
    }
  }
};

export const JustImage: Story = {
  args: {
    title: 'Brought to you by Majid Al Futtaim',
    description:
      "Big ideas need the right space to grow. Whether you're launching, scaling, or reinventing, we’ve got the perfect spot for you. Let’s build something amazing—together!",
    imageSet: {
      portrait: {
        url: image.src,
        width: image.width,
        height: image.height
      },
      landscape: {
        url: image.src,
        width: image.width,
        height: image.height
      }
    }
  }
};
