 interface IBanner {
  title: string;
  description: string;
  button: ILink;
  image: IDynamicImage;
  specifications: {
    image: IDynamicImage;
    label: string;
    value: string;
  }[];
  labels: {
    scrollDown: string;
  };
 }

 interface CounterProps {
   icon: IDynamicImage;
   label: string;
   count: string;
 }
interface MapProps {
  latitude: number;
  longitude: number;
  zoom?: number;
}


type IMarkdown = string;
 interface IAmenitiesCarousel {
  title: string;
  description: string;
  amenities: IAmenity[];
}

interface IAmenity {
  title: string;
  description: string;
  image: IDynamicImage;
}

interface ISlideProps {
  title?: string;
  description?: string;
  image: IDynamicImage;
}

interface IGallery {
  title: string;
  description: string;
  subtitle: string;
  gallery: {
    title?: string;
    image?: IDynamicImage;
  }[];
}

 interface IImageCarousel {
  slides: ISlideProps[];
}

 interface IMasterPlan extends React.HTMLAttributes<HTMLAnchorElement> {
  title: string;
  description: string;
  image: IDynamicImage;
  button?: ILink;
}


 interface IVideoContent {
  title: string;
  description: string;
  videoSet?: IResponsiveVideoGroup;
  imageSet: IResponsiveImageGroup;
}


interface IMapProps {
  latitude: number;
  longitude: number;
  zoom?: number;
}

interface IAddressMap {
  title: string;
  phone: string;
  email: string;
  address: IMarkdown;
  mapData: IMapProps;
  button?: ILink;
  directionButton: ILink;
}
