type IComponents =
  | IMasterPlan
  | IVideoContent
  | IBanner
  | IAddressMap
  | IAmenitiesCarousel
  | IImageCarousel
  | IGallery
  | IContactForm;

type IComponent = {
  component: string;
  isActive: boolean;
} & IComponents;

interface IPageRenderer {
  components: IComponent[];
prefix: string;
}
interface ISeo {
  metaTitle: string;
  metaDescription: string;
  keywords?: string;
  metaRobots?: string;
  metaImage?: IDynamicImage;
}



interface IHeader {
  menuItems?: ILink[];
  button?: ILink;
}
